import { IPublicTypeComponentMetadata, IPublicTypeSnippet } from '@alilc/lowcode-types';

const TableInfoMeta: IPublicTypeComponentMetadata = {
  componentName: 'TableInfo',
  title: 'TableInfo',
  docUrl: '',
  screenshot: '',
  devMode: 'proCode',
  npm: {
    package: '@ywfe/materials-design',
    version: '0.0.8',
    exportName: 'TableInfo',
    main: 'src/index.tsx',
    destructuring: true,
    subName: '',
  },
  configure: {
    props: [
      {
        title: {
          label: {
            type: 'i18n',
            'en-US': 'value',
            'zh-CN': 'value',
          },
        },
        name: 'value',
        defaultValue: '{}',
        setter: {
          componentName: 'ObjectSetter',
          props: {
            config: {
              extraSetter: {
                componentName: 'MixedSetter',
                isRequired: false,
                props: {},
              },
            },
          },
          isRequired: false,
          initialValue: {},
        },
      },
    ],
    supports: {
      style: true,
    },
    component: {},
  },
};
const snippets: IPublicTypeSnippet[] = [
  {
    title: 'TableInfo',
    screenshot: '',
    schema: {
      componentName: 'TableInfo',
      props: {
        value: '{}',
      },
    },
  },
];

export default {
  ...TableInfoMeta,
  snippets,
};
