import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import _Input from "@alifd/next/lib/input";
import _extends from "@babel/runtime/helpers/extends";
import React, { useState, Component } from 'react';
var DispatchSetter = function DispatchSetter(props) {
  var _onChange = props.onChange,
    defaultValue = props.defaultValue;
  var _useState = useState(defaultValue),
    value = _useState[0],
    setValue = _useState[1];
  return /*#__PURE__*/React.createElement("div", {
    className: "lc-dispatch-setter"
  }, /*#__PURE__*/React.createElement(_Input, {
    value: value === null || value === void 0 ? void 0 : value.type,
    placeholder: "\u8BF7\u8F93\u5165\u4E8B\u4EF6\u7C7B\u578B",
    onChange: function onChange(val) {
      setValue(_extends({}, value, {
        type: val
      }));
      _onChange(_extends({}, value, {
        type: val
      }));
    }
  }), /*#__PURE__*/React.createElement(_Input, {
    value: value === null || value === void 0 ? void 0 : value.data,
    placeholder: "\u8BF7\u8F93\u5165\u81EA\u5B9A\u4E49\u53C2\u6570",
    onChange: function onChange(val) {
      console.log(123);
      setValue(_extends({}, value, {
        data: val
      }));
      _onChange(_extends({}, value, {
        data: val
      }));
    }
  }));
};
DispatchSetter.defaultProps = {
  value: undefined,
  type: 'string',
  defaultValue: null,
  hasClear: true,
  onChange: function onChange() {
    return undefined;
  }
};
var _default = /*#__PURE__*/function (_Component) {
  _inheritsLoose(_default, _Component);
  function _default() {
    return _Component.apply(this, arguments) || this;
  }
  var _proto = _default.prototype;
  _proto.render = function render() {
    return /*#__PURE__*/React.createElement(DispatchSetter, this.props);
  };
  return _default;
}(Component);
export { _default as default };