import _extends from "@babel/runtime/helpers/extends";
var GroupMeta = {
  componentName: 'Group',
  title: 'Group',
  group: '待定',
  docUrl: '',
  screenshot: '',
  devMode: 'proCode',
  npm: {
    "package": '@ywfe/materials-design',
    version: '0.1.0',
    exportName: 'Button',
    main: 'src/index.tsx',
    destructuring: true,
    subName: 'Group'
  },
  configure: {
    props: [{
      title: {
        label: {
          type: 'i18n',
          'en-US': 'size',
          'zh-CN': 'size'
        }
      },
      name: 'size',
      setter: {
        componentName: 'RadioGroupSetter',
        props: {
          dataSource: [{
            label: 'small',
            value: 'small'
          }, {
            label: 'middle',
            value: 'middle'
          }, {
            label: 'large',
            value: 'large'
          }],
          options: [{
            label: 'small',
            value: 'small'
          }, {
            label: 'middle',
            value: 'middle'
          }, {
            label: 'large',
            value: 'large'
          }]
        },
        initialValue: 'small'
      }
    }, {
      title: {
        label: {
          type: 'i18n',
          'en-US': 'prefixCls',
          'zh-CN': 'prefixCls'
        }
      },
      name: 'prefixCls',
      setter: {
        componentName: 'StringSetter',
        isRequired: false,
        initialValue: ''
      }
    }],
    supports: {
      style: true,
      className: true
    },
    component: {}
  }
};
var snippets = [{
  title: 'Group',
  screenshot: '',
  schema: {
    componentName: 'Group',
    props: {}
  }
}];
export default _extends({}, GroupMeta, {
  snippets: snippets
});