import { IPublicTypeComponentMetadata, IPublicTypeSnippet, IPublicTypeFieldConfig } from '@alilc/lowcode-types';
export interface ISnippet extends IPublicTypeSnippet {
    label?: string;
    title?: string;
}
export interface IComponentDescription extends IPublicTypeComponentMetadata {
    snippets?: ISnippet[];
}
export interface IProps extends IPublicTypeFieldConfig {
    showInListSetter?: boolean;
    initialValue?: Function | any;
    editable?: boolean;
    items?: IProps[] | IPublicTypeFieldConfig[];
}
