"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var YwIconMeta = {
  componentName: 'YwIcon',
  title: 'YwIcon',
  group: '基础组件',
  category: '基础元素',
  docUrl: '',
  screenshot: '',
  devMode: 'proCode',
  npm: {
    "package": '@ywfe/materials-design',
    version: '0.1.0',
    exportName: 'YwIcon',
    main: 'src/index.tsx',
    destructuring: true,
    subName: ''
  },
  configure: {
    props: [{
      title: {
        label: 'type',
        tip: 'type ｜ 类型'
      },
      name: 'type',
      setter: {
        componentName: 'StringSetter',
        isRequired: true,
        initialValue: 'UpCircleOutlined'
      }
    }, {
      title: {
        label: 'size',
        tip: 'size ｜ 尺寸'
      },
      name: 'size',
      setter: {
        componentName: 'NumberSetter',
        isRequired: false,
        initialValue: 44
      }
    }, {
      title: {
        label: 'color',
        tip: 'color | 颜色'
      },
      name: 'color',
      setter: {
        componentName: 'StringSetter',
        isRequired: false,
        initialValue: ''
      }
    }, {
      title: {
        label: 'rotate',
        tip: 'rotate | 旋转角度'
      },
      name: 'rotate',
      setter: {
        componentName: 'NumberSetter',
        isRequired: false,
        initialValue: 0
      }
    }, {
      title: {
        label: 'spin',
        tip: 'spin'
      },
      name: 'spin',
      setter: {
        componentName: 'BoolSetter',
        isRequired: false,
        initialValue: false
      }
    }, {
      title: {
        label: 'ref',
        tip: 'ref'
      },
      name: 'ref',
      setter: {
        componentName: 'MixedSetter',
        props: {
          setters: [{
            componentName: 'FunctionSetter'
          }, {
            componentName: 'ObjectSetter',
            props: {
              config: {
                extraSetter: {
                  componentName: 'MixedSetter',
                  isRequired: false,
                  props: {}
                }
              }
            },
            isRequired: false,
            initialValue: {}
          }]
        }
      }
    }, {
      title: {
        label: 'key'
      },
      name: 'key',
      setter: {
        componentName: 'MixedSetter',
        props: {
          setters: [{
            componentName: 'StringSetter',
            isRequired: false,
            initialValue: ''
          }, {
            componentName: 'NumberSetter',
            isRequired: false,
            initialValue: 0
          }]
        }
      }
    }],
    supports: {
      className: true,
      style: true
    },
    component: {}
  }
};
var snippets = [{
  title: 'YwIcon',
  screenshot: 'https://yw-fed-static.oss-cn-hangzhou.aliyuncs.com/lowcode/icons',
  schema: {
    componentName: 'YwIcon',
    props: {}
  }
}];
var _default = exports["default"] = (0, _extends2["default"])({}, YwIconMeta, {
  snippets: snippets
});