"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var YwPlatformIconMeta = {
  componentName: 'YwPlatformWithIcon',
  title: 'YwPlatformWithIcon',
  group: '基础组件',
  category: '基础元素',
  docUrl: '',
  screenshot: '',
  devMode: 'proCode',
  npm: {
    "package": '@ywfe/materials-design',
    version: '0.1.0',
    exportName: 'YwPlatformWithIcon',
    main: 'src/index.tsx',
    destructuring: true,
    subName: ''
  },
  configure: {
    props: [{
      title: {
        label: 'platform',
        tip: 'platform ｜ 平台'
      },
      name: 'platform',
      setter: {
        componentName: 'NumberSetter',
        isRequired: true,
        initialValue: 2
      }
    }, {
      title: {
        label: 'accountName',
        tip: 'accountName | 账号名称'
      },
      name: 'accountName',
      setter: {
        componentName: 'StringSetter',
        isRequired: true,
        initialValue: '遥望X27超市'
      }
    }],
    supports: {
      className: true,
      style: true
    },
    component: {}
  }
};
var snippets = [{
  title: '带平台头像的主播账号',
  screenshot: 'https://yw-fed-static.oss-cn-hangzhou.aliyuncs.com/诗橙/platformwithicon',
  schema: {
    componentName: 'YwPlatformWithIcon',
    props: {}
  }
}];
var _default = exports["default"] = (0, _extends2["default"])({}, YwPlatformIconMeta, {
  snippets: snippets
});