import _extends from "@babel/runtime/helpers/extends";
var TablePersonMeta = {
  componentName: 'TablePerson',
  title: '用户头像',
  docUrl: '',
  screenshot: '',
  devMode: 'proCode',
  group: '基础组件',
  category: '表格子元素',
  npm: {
    "package": '@ywfe/materials-design',
    version: '0.1.0',
    exportName: 'TablePerson',
    main: 'src/index.tsx',
    destructuring: true,
    subName: ''
  },
  configure: {
    props: [{
      name: 'value',
      title: {
        label: '数据配置',
        tip: 'value | 数据配置'
      },
      setter: {
        componentName: 'ObjectSetter',
        props: {
          config: {
            items: [{
              name: 'avatar',
              title: {
                label: '头像',
                tip: 'avatar | 头像'
              },
              supportVariable: false,
              setter: {
                componentName: 'MixedSetter',
                props: {
                  setters: ['VariableSetter']
                }
              }
            }, {
              name: 'name',
              title: {
                label: '姓名',
                tip: 'name | 姓名'
              },
              supportVariable: false,
              setter: {
                componentName: 'MixedSetter',
                props: {
                  setters: ['VariableSetter']
                }
              }
            }]
          }
        }
      }
    }],
    supports: {
      style: true
    },
    component: {}
  }
};
var snippets = [{
  title: '用户头像',
  screenshot: 'https://yw-fed-static.oss-cn-hangzhou.aliyuncs.com/lowcode/avatar1',
  schema: {
    componentName: 'TablePerson',
    props: {
      value: {
        avatar: '-',
        name: '-'
      }
    }
  }
}];
export default _extends({}, TablePersonMeta, {
  snippets: snippets
});