"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _inheritsLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/inheritsLoose"));
var _input = _interopRequireDefault(require("@alifd/next/lib/input"));
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _react = _interopRequireWildcard(require("react"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var DispatchSetter = function DispatchSetter(props) {
  var _onChange = props.onChange,
    defaultValue = props.defaultValue;
  var _useState = (0, _react.useState)(defaultValue),
    value = _useState[0],
    setValue = _useState[1];
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "lc-dispatch-setter"
  }, /*#__PURE__*/_react["default"].createElement(_input["default"], {
    value: value === null || value === void 0 ? void 0 : value.type,
    placeholder: "\u8BF7\u8F93\u5165\u4E8B\u4EF6\u7C7B\u578B",
    onChange: function onChange(val) {
      setValue((0, _extends2["default"])({}, value, {
        type: val
      }));
      _onChange((0, _extends2["default"])({}, value, {
        type: val
      }));
    }
  }), /*#__PURE__*/_react["default"].createElement(_input["default"], {
    value: value === null || value === void 0 ? void 0 : value.data,
    placeholder: "\u8BF7\u8F93\u5165\u81EA\u5B9A\u4E49\u53C2\u6570",
    onChange: function onChange(val) {
      console.log(123);
      setValue((0, _extends2["default"])({}, value, {
        data: val
      }));
      _onChange((0, _extends2["default"])({}, value, {
        data: val
      }));
    }
  }));
};
DispatchSetter.defaultProps = {
  value: undefined,
  type: 'string',
  defaultValue: null,
  hasClear: true,
  onChange: function onChange() {
    return undefined;
  }
};
var _default = exports["default"] = /*#__PURE__*/function (_Component) {
  (0, _inheritsLoose2["default"])(_default, _Component);
  function _default() {
    return _Component.apply(this, arguments) || this;
  }
  var _proto = _default.prototype;
  _proto.render = function render() {
    return /*#__PURE__*/_react["default"].createElement(DispatchSetter, this.props);
  };
  return _default;
}(_react.Component);