"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.wrapFormItemProps = void 0;
var _formItemProps = _interopRequireDefault(require("../yw-json-form/common/form-item-props"));
var wrapFormItemProps = exports.wrapFormItemProps = function wrapFormItemProps(props) {
  return [].concat(_formItemProps["default"], [{
    name: 'componentProps',
    title: '组件配置',
    extraProps: {
      display: 'accordion',
      defaultCollapsed: true
    },
    type: 'group',
    items: props.filter(function (item) {
      return item.title !== '高级';
    })
  }]);
};