"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports["default"] = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _utils = require("../_utils");
var YwCategroySelectMeta = {
  componentName: 'YwCategorySelect',
  title: '类目选择器',
  docUrl: '',
  screenshot: '',
  devMode: 'proCode',
  group: '页面模块',
  category: '数据操作',
  npm: {
    "package": '@ywfe/materials-design',
    version: '0.1.0',
    exportName: 'YwCategorySelect',
    main: 'src/index.tsx',
    destructuring: true,
    subName: ''
  },
  configure: {
    props: [{
      title: {
        label: '组件唯一标识',
        tip: '_flag | 组件唯一标识'
      },
      condition: _utils.hideProp,
      name: '_flag',
      description: '组件唯一标识',
      setter: {
        componentName: 'StringSetter',
        isRequired: true,
        initialValue: ''
      }
    }, {
      title: {
        label: '选择后回调',
        tip: 'onChange | 选择后回调'
      },
      name: 'onChange',
      description: '选择后回调',
      supportVariable: false,
      setter: {
        componentName: 'MixedSetter',
        props: {
          setters: [{
            componentName: 'SchemaFunctionSetter',
            props: {
              title: 'onChange',
              async: false,
              properties: {
                input: {
                  type: 'object',
                  properties: {
                    value: {
                      type: 'string'
                    }
                  },
                  required: ['value']
                },
                body: {
                  type: 'array',
                  items: [{
                    type: 'Function',
                    properties: {
                      template: 'SetStateFunction',
                      extraProps: {
                        state: 'categoryNoPathList',
                        value: '{{value}}'
                      }
                    }
                  }]
                }
              },
              required: ['body']
            }
          }, {
            componentName: 'FunctionSetter',
            props: {
              template: 'function onClick() {\n  this.setState({\n    isShowDialog: true\n  });\n}'
            }
          }]
        }
      }
    }],
    supports: {
      style: true,
      className: true
    },
    component: {
      isContainer: false
    }
  }
};
var snippets = [{
  title: '类目选择',
  screenshot: 'https://yw-fed-static.oss-cn-hangzhou.aliyuncs.com/诗橙/导出.png',
  schema: {
    componentName: 'YwCategorySelect',
    props: {}
  }
}];
var _default = exports["default"] = (0, _extends2["default"])({}, YwCategroySelectMeta, {
  snippets: snippets
});